#!/bin/bash 

echo "*** StressSuite - StressMe ***"
echo ""

declare -x _ssBase

_ssBase=`pwd`
_ssID="PLOP"

if [ -z $1 ];
then
		echo "ERROR : you must specify a job ID"
		exit 127
fi

if [ ! -x $_ssBase/jobs/$1 ];
then
		echo "ERROR : Job $1 not found or non-executable"
		echo "have a look in $_ssBase/jobs/"
		exit 1
fi
_ssID=$1 

echo -n "Starting process ";
rm -rf $_ssBase/results/`hostname`-$_ssID/
mkdir -p $_ssBase/results/`hostname`-$_ssID/
./_runpid.sh $_ssID & #&>  $_ssBase/results/`hostname`-$_ssID/process.out
while [ ! -f $_ssBase/results/`hostname`-$_ssID/end ];
do
	echo -n "."
	echo "`date +%s`;`cat /proc/loadavg | awk '{print $1}'`" >> $_ssBase/results/`hostname`-$_ssID/loadavg.dat
	sleep 1s
done
result=$?

if [ $result -ne 0 ];
then
		echo "  Error : $result"
else
		echo "  Success"
fi
echo "Results : $_ssBase/results/`hostname`-$_ssID/"
